ClarisWksStyleManagerInternal::State Struct Reference

Internal: the state of a ClarisWksStyleManager. More...

## Public Member Functions

| State ()
| constructor
void | setDefaultColorList (int version)
| set the default color map
void | setDefaultPatternList (int version)
| set the default pattern map
void | setDefaultGradientList (int version)
| set the default pattern map
void | setDefaultWallPaperList (int version)
| set the default pattern map
int | getFontId (int localId) const
| return a mac font id corresponding to a local id

## Public Attributes

int | m_version
| the version
std::map< int, int > | m_localFIdMap
| a map local fontId->fontId
std::map< int, ClarisWksStyleManager::Style > | m_stylesMap
| the styles map id->style
std::map< int, int > | m_lookupMap
| the style lookupMap
std::vector< MWAWFont > | m_fontList
| the list of fonts
std::vector< ClarisWksStyleManager::CellFormat > | m_cellFormatList
| the list of format
std::vector< MWAWGraphicStyle > | m_graphList
| the Graphic list
std::vector< ClarisWksStyleManager::KSEN > | m_ksenList
| the KSEN list
std::vector< std::string > | m_nameList
| the style name list
std::vector< MWAWColor > | m_colorList
| a list colorId -> color
std::vector< Pattern > | m_patternList
| a list patternId -> pattern
std::vector< Gradient > | m_gradientList
| a list gradientId -> gradient
std::vector< MWAWGraphicStyle::Pattern > | m_wallpaperList
| a list wallPaperId -> pattern

## Detailed Description

Internal: the state of a ClarisWksStyleManager.

## Constructor & Destructor Documentation

## State()

ClarisWksStyleManagerInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## getFontId()

int ClarisWksStyleManagerInternal::State::getFontId | ( | int | localId | ) | const

inline

return a mac font id corresponding to a local id

## setDefaultColorList()

void ClarisWksStyleManagerInternal::State::setDefaultColorList | ( | int | version | ) |

set the default color map

## setDefaultGradientList()

void ClarisWksStyleManagerInternal::State::setDefaultGradientList | ( | int | version | ) |

set the default pattern map

## setDefaultPatternList()

void ClarisWksStyleManagerInternal::State::setDefaultPatternList | ( | int | version | ) |

set the default pattern map

## setDefaultWallPaperList()

void ClarisWksStyleManagerInternal::State::setDefaultWallPaperList | ( | int | version | ) |

set the default pattern map

## Member Data Documentation

## m_cellFormatList

std::vector<ClarisWksStyleManager::CellFormat> ClarisWksStyleManagerInternal::State::m_cellFormatList

the list of format

Referenced by State().

## m_colorList

std::vector<MWAWColor> ClarisWksStyleManagerInternal::State::m_colorList

a list colorId -> color

Referenced by setDefaultColorList(), and State().

## m_fontList

std::vector<MWAWFont> ClarisWksStyleManagerInternal::State::m_fontList

the list of fonts

Referenced by State().

## m_gradientList

std::vector<Gradient> ClarisWksStyleManagerInternal::State::m_gradientList

a list gradientId -> gradient

Referenced by setDefaultGradientList(), and State().

## m_graphList

std::vector<MWAWGraphicStyle> ClarisWksStyleManagerInternal::State::m_graphList

the Graphic list

Referenced by State().

## m_ksenList

std::vector<ClarisWksStyleManager::KSEN> ClarisWksStyleManagerInternal::State::m_ksenList

the KSEN list

Referenced by State().

## m_localFIdMap

std::map<int, int> ClarisWksStyleManagerInternal::State::m_localFIdMap

a map local fontId->fontId

Referenced by getFontId(), and State().

## m_lookupMap

std::map<int, int> ClarisWksStyleManagerInternal::State::m_lookupMap

the style lookupMap

Referenced by State().

## m_nameList

std::vector<std::string> ClarisWksStyleManagerInternal::State::m_nameList

the style name list

Referenced by State().

## m_patternList

std::vector<Pattern> ClarisWksStyleManagerInternal::State::m_patternList

a list patternId -> pattern

Referenced by setDefaultPatternList(), and State().

## m_stylesMap

std::map<int, ClarisWksStyleManager::Style> ClarisWksStyleManagerInternal::State::m_stylesMap

the styles map id->style

Referenced by State().

## m_version

int ClarisWksStyleManagerInternal::State::m_version

the version

Referenced by State().

## m_wallpaperList

std::vector<MWAWGraphicStyle::Pattern> ClarisWksStyleManagerInternal::State::m_wallpaperList

a list wallPaperId -> pattern

Referenced by setDefaultWallPaperList(), and State().

The documentation for this struct was generated from the following file:

- ClarisWksStyleManager.cxx